summaryrefslogtreecommitdiffstats
path: root/source/l/sdl
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2010-05-19 08:58:23 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:43:05 +0200
commitb76270bf9e6dd375e495fec92140a79a79415d27 (patch)
tree3dbed78b2279bf9f14207a16dc634b90995cbd40 /source/l/sdl
parent5a12e7c134274dba706667107d10d231517d3e05 (diff)
downloadcurrent-b76270bf9e6dd375e495fec92140a79a79415d27.tar.gz
current-b76270bf9e6dd375e495fec92140a79a79415d27.tar.xz
Slackware 13.1slackware-13.1
Wed May 19 08:58:23 UTC 2010 Slackware 13.1 x86_64 stable is released! Lots of thanks are due -- see the RELEASE_NOTES and the rest of the ChangeLog for credits. The ISOs are on their way to replication, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We are taking pre-orders now at store.slackware.com, and offering a discount if you sign up for a subscription. Consider picking up a copy to help support the project. Thanks again to the Slackware community for testing, contributing, and generally holding us to a high level of quality. :-) Enjoy!
Diffstat (limited to 'source/l/sdl')
-rw-r--r--source/l/sdl/SDL_mixer-1.2.8.usrlocal.diff11
-rw-r--r--source/l/sdl/SDL_mixer.usrlocal.diff11
-rwxr-xr-xsource/l/sdl/sdl.SlackBuild56
3 files changed, 52 insertions, 26 deletions
diff --git a/source/l/sdl/SDL_mixer-1.2.8.usrlocal.diff b/source/l/sdl/SDL_mixer-1.2.8.usrlocal.diff
deleted file mode 100644
index 3ae36ae72..000000000
--- a/source/l/sdl/SDL_mixer-1.2.8.usrlocal.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./timidity/config.h.orig 2007-07-01 21:03:51.000000000 -0500
-+++ ./timidity/config.h 2008-03-13 14:36:20.000000000 -0500
-@@ -176,7 +176,7 @@
- #if defined(__WIN32__) || defined(__OS2__)
- #define DEFAULT_PATH "\\TIMIDITY"
- #else
--#define DEFAULT_PATH "/usr/local/lib/timidity"
-+#define DEFAULT_PATH "/usr/lib/timidity"
- #endif
-
- /* These affect general volume */
diff --git a/source/l/sdl/SDL_mixer.usrlocal.diff b/source/l/sdl/SDL_mixer.usrlocal.diff
new file mode 100644
index 000000000..4630e9ea6
--- /dev/null
+++ b/source/l/sdl/SDL_mixer.usrlocal.diff
@@ -0,0 +1,11 @@
+--- ./timidity/config.h.orig 2010-02-14 17:14:44.000000000 -0600
++++ ./timidity/config.h 2010-02-14 17:15:45.000000000 -0600
+@@ -179,7 +179,7 @@
+ #else
+ #define DEFAULT_PATH "/etc/timidity"
+ #define DEFAULT_PATH1 "/usr/share/timidity"
+-#define DEFAULT_PATH2 "/usr/local/lib/timidity"
++#define DEFAULT_PATH2 "/usr/lib/timidity"
+ #endif
+
+ /* These affect general volume */
diff --git a/source/l/sdl/sdl.SlackBuild b/source/l/sdl/sdl.SlackBuild
index 0c351f8df..044c1f85f 100755
--- a/source/l/sdl/sdl.SlackBuild
+++ b/source/l/sdl/sdl.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,14 +20,23 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-VERSION=1.2.13
-IMAGE=1.2.7
-MIXER=1.2.8
-NET=1.2.7
-TTF=2.0.9
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-4}
+VERSION=${VERSION:-$(echo SDL-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+IMAGE=${IMAGE:-$(echo SDL_image-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+MIXER=${MIXER:-$(echo SDL_mixer-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+NET=${NET:-$(echo SDL_net-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+TTF=${TTF:-$(echo SDL_ttf-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+
+BUILD=${BUILD:-2}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -40,6 +49,9 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
CWD=$(pwd)
@@ -50,7 +62,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf sdl-$VERSION
-tar xjf $CWD/SDL-$VERSION.tar.bz2 || exit 1
+tar xf $CWD/SDL-$VERSION.tar.?z* || exit 1
cd SDL-$VERSION
chown -R root:root .
find . \
@@ -92,7 +104,7 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
# Add SDL_image:
cd $TMP
rm -rf SDL_image-$IMAGE
-tar xjf $CWD/SDL_image-$IMAGE.tar.bz2 || exit 1
+tar xf $CWD/SDL_image-$IMAGE.tar.?z* || exit 1
cd SDL_image-$IMAGE
chown -R root:root .
find . \
@@ -123,11 +135,24 @@ cp -a \
# Add SDL_mixer:
cd $TMP
rm -rf SDL_mixer-$MIXER
-tar xjf $CWD/SDL_mixer-$MIXER.tar.bz2 || exit 1
+tar xf $CWD/SDL_mixer-$MIXER.tar.?z* || exit 1
cd SDL_mixer-$MIXER
# Don't look for things in /usr/local, since this is an installed package:
-zcat $CWD/SDL_mixer-1.2.8.usrlocal.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/SDL_mixer.usrlocal.diff.gz | patch -p1 --verbose || exit 1
+
+# Install patched static libmikmod:
+unzip libmikmod-3.1.12.zip
+( cd libmikmod-3.1.12.patched
+ ./configure \
+ --prefix=/usr/local \
+ --libdir=/usr/local/lib${LIBDIRSUFFIX} \
+ --with-pic \
+ --enable-shared=no \
+ --enable-static=yes
+ make $NUMJOBS || make || exit 1
+ make install
+)
chown -R root:root .
find . \
@@ -141,6 +166,7 @@ CFLAGS="$SLKCFLAGS" \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
--mandir=/usr/man \
+ --enable-music-mod \
--enable-shared=yes \
--enable-static=no
@@ -155,7 +181,7 @@ cp -a \
# Add SDL_net:
cd $TMP
rm -rf SDL_net-$NET
-tar xjf $CWD/SDL_net-$NET.tar.bz2 || exit 1
+tar xf $CWD/SDL_net-$NET.tar.?z* || exit 1
cd SDL_net-$NET
chown -R root:root .
find . \
@@ -183,7 +209,7 @@ cp -a \
# Add SDL_ttf:
cd $TMP
rm -rf SDL_ttf-$TTF
-tar xjf $CWD/SDL_ttf-$TTF.tar.bz2 || exit 1
+tar xf $CWD/SDL_ttf-$TTF.tar.?z* || exit 1
cd SDL_ttf-$TTF
#zcat $CWD/SDL_ttf-2.0.8-noftinternals.diff.gz | patch -p1 --verbose || exit 1